Bug 35828 - from univention.lib.share_restrictions import ShareConfiguration fails
from univention.lib.share_restrictions import ShareConfiguration fails
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Arvid Requate
Stefan Gohmann
: interim-2
Depends on: 35320
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-04 15:58 CEST by Philipp Hahn
Modified: 2014-11-26 06:54 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Fix pysupport -> ucr ordering (2.43 KB, patch)
2014-09-04 15:58 CEST, Philipp Hahn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-09-04 15:58:57 CEST
Created attachment 6092 [details]
Fix pysupport -> ucr ordering

+++ This bug was initially created as a clone of Bug #35320 +++
The following base packages should be migrated to UCS 4:
- univention-samba
<https://hutten.knut.univention.de/mediawiki/index.php/UCS-4.0_Univention_Package_Update>

> Setting up univention-samba-local-config (9.0.0-6.483.201409012045) ...
> Configuring univention-samba-local-config
> Configuring univention-samba-local-config
> W: failed to convert the username messagebus to the uid
> Traceback (most recent call last):
> File "/etc/univention/templates/scripts/samba.local.config.py", line 34, in <module>
> from univention.lib.share_restrictions import ShareConfiguration
> ImportError: No module named share_restrictions

Due to the use of python-support the module is linked too late from /usr/share/pyshared/ to /usr/lib/pymodules/python2.7/ and thus unavailable when "ucr register" is called by #DEBHELPER#.
Comment 1 Arvid Requate univentionstaff 2014-09-10 16:34:28 CEST
Patch applied and package rebuilt. Changelog adjusted.
Comment 2 Stefan Gohmann univentionstaff 2014-09-30 06:59:29 CEST
Code review: OK (r53552)

Tests: OK

Changelog: OK
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:54:25 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".